ldcf.net
当前位置:首页 >> sElEnium启动本机的FirEFox报错 >>

sElEnium启动本机的FirEFox报错

这个类在Executable (selenium-firefox-driver 2.43.1 API)这个版本的驱动里面,出现这个错误提示是因为当前版本过低所致。 将selenium-firefox-driver升级到2.43.1及以上即可解决。

检查浏览器的扩展安装是不是正确,扩展与当前浏览器有没有兼容问题。 软件配置参数是不是正确,可以确定的是,最新版的火狐可以正常使用selenium

尊敬的用户,您好!很高兴为您答疑。 据您的截图来看,您的这个环境变量中的路径配置不对吧。 希望我的回答对您有所帮助,如有疑问,欢迎继续咨询我们。

你需要下载一个geckodriver.exe放在python的安装目录下(和python.exe同级),geckodriver是火狐浏览器的驱动,可以去这个地址下载下载地址,根据系统版本找最新的就行

你的firefox没有既装在默认位置,也没有配安装路径。 以上两者选1即可。

尊敬的用户,您好!很高兴为您答疑。 不讨论兼容问题,仅就您提供的信息来看,提示无法链接到127.0.0.1这个IP下的指定端口,因此您需要验证的是:1、您本机的服务是否开启并映射到了您设置的相应端口;2、您所开启的服务是否放开了足够的访问权...

应该还是配置的问题,设置的参数可能不正确,另外看下火狐的插件,是不是新版本,和当前浏览器有没有兼容问题。

从提示内容看是无法记取相应路径的注册表,常见的原因就是权限问题,或目标路径没有相应的文件存在,分别排查一下。权限问题,在安装的时候,使用管理员权限运行试试。

打开火狐全球扩展中心,在下载扩展的页面,看下扩展兼容火狐版本范围,如果当前使用的火狐不在其范围内,就会有兼容问题。

安装火狐并把火狐添加到环境路径 或者单独下载火狐驱动调用的时候指定火狐驱动路径

网站首页 | 网站地图
All rights reserved Powered by www.ldcf.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com